<?php

declare(strict_types=1);

namespace App\Domain\Reader\Domain\Model;

use App\Domain\Reader\Domain\ValueObject\PageNumber;

class Page
{
    public function __construct(
        private readonly string $id,
        private readonly PageNumber $pageNumber,
        private readonly string $url,
        private readonly int $width,
        private readonly int $height
    ) {
    }

    public function getId(): string
    {
        return $this->id;
    }

    public function getPageNumber(): PageNumber
    {
        return $this->pageNumber;
    }

    public function getUrl(): string
    {
        return $this->url;
    }

    public function getWidth(): int
    {
        return $this->width;
    }

    public function getHeight(): int
    {
        return $this->height;
    }

    public function getDimensions(): array
    {
        return [
            'width' => $this->width,
            'height' => $this->height,
        ];
    }
}
